<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="28dp"
    android:background="@color/color_66AA8CFF"
    tools:context=".ui.ActivitySetWallpaper">


    <ImageView
        android:id="@+id/wallpaper_im"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/set_btn_tv"
        android:layout_width="136dp"
        android:layout_height="40dp"
        android:layout_marginStart="85dp"
        android:layout_marginEnd="85dp"
        android:layout_marginBottom="120dp"
        android:background="@drawable/button_set_wallpaper"
        android:gravity="center"
        android:text="@string/set_wallpaper"
        android:textColor="@color/white"
        android:textSize="17sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />


    <ImageView
        android:id="@+id/backIm"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_marginTop="16dp"
        android:src="@mipmap/back_icon"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ProgressBar
        android:id="@+id/loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:indeterminateTint="@color/color_21A87D"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>